lang/sablevm-classpath - The NetBSD Packages Collection

Class libraries for the SableVM Java virtual machine

SableVM is a portable bytecode interpreter written in C, and implementing
the Java virtual machine specification, second edition.  Its goals are to
be reasonably small, fast and efficient, as well as providing a well
designed and robust platform for conducting research.

This package contains the class library for SableVM, based on GNU classpath.
For GUI support, install sablevm-classpath-gui too.

Build dependencies

lang/jikes devel/libtool-base pkgtools/mktools devel/gmake pkgtools/cwrappers

Runtime dependencies

archivers/zip

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64sablevm-classpath-1.13nb1.tgz
NetBSD 10.0earmv6hfsablevm-classpath-1.13nb1.tgz
NetBSD 10.0earmv7hfsablevm-classpath-1.13nb1.tgz
NetBSD 10.0i386sablevm-classpath-1.13nb1.tgz
NetBSD 10.0powerpcsablevm-classpath-1.13nb1.tgz
NetBSD 10.0powerpcsablevm-classpath-1.13nb1.tgz
NetBSD 10.0x86_64sablevm-classpath-1.13nb1.tgz
NetBSD 10.0x86_64sablevm-classpath-1.13nb1.tgz
NetBSD 8.0earmv7hfsablevm-classpath-1.13nb1.tgz
NetBSD 8.0i386sablevm-classpath-1.13nb1.tgz
NetBSD 8.0i386sablevm-classpath-1.13nb1.tgz
NetBSD 8.0powerpcsablevm-classpath-1.13nb1.tgz
NetBSD 8.0powerpcsablevm-classpath-1.13nb1.tgz
NetBSD 8.0powerpcsablevm-classpath-1.13nb1.tgz
NetBSD 8.0x86_64sablevm-classpath-1.13nb1.tgz
NetBSD 8.0x86_64sablevm-classpath-1.13nb1.tgz
NetBSD 9.0aarch64sablevm-classpath-1.13nb1.tgz
NetBSD 9.0aarch64sablevm-classpath-1.13nb1.tgz
NetBSD 9.0alphasablevm-classpath-1.13nb1.tgz
NetBSD 9.0alphasablevm-classpath-1.13nb1.tgz
NetBSD 9.0alphasablevm-classpath-1.13nb1.tgz
NetBSD 9.0alphasablevm-classpath-1.13nb1.tgz
NetBSD 9.0alphasablevm-classpath-1.13nb1.tgz
NetBSD 9.0earmsablevm-classpath-1.13nb1.tgz
NetBSD 9.0earmsablevm-classpath-1.13nb1.tgz
NetBSD 9.0earmsablevm-classpath-1.13nb1.tgz
NetBSD 9.0earmsablevm-classpath-1.13nb1.tgz
NetBSD 9.0earmsablevm-classpath-1.13nb1.tgz
NetBSD 9.0earmv6hfsablevm-classpath-1.13nb1.tgz
NetBSD 9.0earmv6hfsablevm-classpath-1.13nb1.tgz
NetBSD 9.0earmv7hfsablevm-classpath-1.13nb1.tgz
NetBSD 9.0earmv7hfsablevm-classpath-1.13nb1.tgz
NetBSD 9.0i386sablevm-classpath-1.13nb1.tgz
NetBSD 9.0i386sablevm-classpath-1.13nb1.tgz
NetBSD 9.0i386sablevm-classpath-1.13nb1.tgz
NetBSD 9.0m68ksablevm-classpath-1.13nb1.tgz
NetBSD 9.0m68ksablevm-classpath-1.13nb1.tgz
NetBSD 9.0mips64ebsablevm-classpath-1.13nb1.tgz
NetBSD 9.0mips64ebsablevm-classpath-1.13nb1.tgz
NetBSD 9.0mips64ebsablevm-classpath-1.13nb1.tgz
NetBSD 9.0mips64ebsablevm-classpath-1.13nb1.tgz
NetBSD 9.0mips64ebsablevm-classpath-1.13nb1.tgz
NetBSD 9.0mipselsablevm-classpath-1.13nb1.tgz
NetBSD 9.0powerpcsablevm-classpath-1.13nb1.tgz
NetBSD 9.0powerpcsablevm-classpath-1.13nb1.tgz
NetBSD 9.0powerpcsablevm-classpath-1.13nb1.tgz
NetBSD 9.0sh3elsablevm-classpath-1.13nb1.tgz
NetBSD 9.0sh3elsablevm-classpath-1.13nb1.tgz
NetBSD 9.0sh3elsablevm-classpath-1.13nb1.tgz
NetBSD 9.0sh3elsablevm-classpath-1.13nb1.tgz
NetBSD 9.0sh3elsablevm-classpath-1.13nb1.tgz
NetBSD 9.0sparc64sablevm-classpath-1.13nb1.tgz
NetBSD 9.0sparc64sablevm-classpath-1.13nb1.tgz
NetBSD 9.0sparc64sablevm-classpath-1.13nb1.tgz
NetBSD 9.0sparc64sablevm-classpath-1.13nb1.tgz
NetBSD 9.0sparc64sablevm-classpath-1.13nb1.tgz
NetBSD 9.0sparcsablevm-classpath-1.13nb1.tgz
NetBSD 9.0sparcsablevm-classpath-1.13nb1.tgz
NetBSD 9.0sparcsablevm-classpath-1.13nb1.tgz
NetBSD 9.0sparcsablevm-classpath-1.13nb1.tgz
NetBSD 9.0sparcsablevm-classpath-1.13nb1.tgz
NetBSD 9.0sparcsablevm-classpath-1.13nb1.tgz
NetBSD 9.0x86_64sablevm-classpath-1.13nb1.tgz
NetBSD 9.0x86_64sablevm-classpath-1.13nb1.tgz
NetBSD 9.0x86_64sablevm-classpath-1.13nb1.tgz
NetBSD 9.0x86_64sablevm-classpath-1.13nb1.tgz
NetBSD 9.0x86_64sablevm-classpath-1.13nb1.tgz
NetBSD 9.99.96aarch64ebsablevm-classpath-1.13nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.